## org.ascape.model.engine
Class ExecutionStrategy

    java.lang.Object
      org.ascape.model.engine.ExecutionStrategy

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  ChainedStrategy, IncrementalExecutionStrategy

    public abstract class ExecutionStrategy

extends java.lang.Object
implements java.lang.Cloneable, java.io.Serializable

The Class ExecutionStrategy.

See Also:
  Serialized Form

Constructor Summary
`ExecutionStrategy()` Instantiates a new execution strategy.

Method Summary
`ExecutionStrategy` `chain(ExecutionStrategy strategy)` Chain.
`java.lang.Object` `clone()`
`abstract void` `execute()` Execute.
`boolean` `isSupportsParallel()` Checks if is supports parallel.
`abstract void` `reset()` Reset.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExecutionStrategy

    public ExecutionStrategy()

  Instantiates a new execution strategy.

Method Detail

### isSupportsParallel

    public boolean isSupportsParallel()

  Checks if is supports parallel.

  Returns:
    true, if is supports parallel

### execute

    public abstract void execute()

  Execute.

### reset

    public abstract void reset()

  Reset.

### chain

    public ExecutionStrategy chain(ExecutionStrategy strategy)

  Chain.

  Parameters:
    `strategy` - the strategy
  Returns:
    the execution strategy

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`